/*
 * monochannel.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/plugin.h>
#include <vdr/status.h>
#include "mystatusmonitor.h"

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "L/R audio for selectected channels";
static const char *MAINMENUENTRY  = NULL;

class cPluginMonochannel : public cPlugin {
private:
  // Add any member variables or functions you may need here.
  cMyStatusMonitor *statusMonitor;
public:
  cPluginMonochannel(void);
  virtual ~cPluginMonochannel();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };

cPluginMonochannel::cPluginMonochannel(void)
{
  // Initialize any member variables here.
  // DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
  // VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!
  statusMonitor = NULL;
}

cPluginMonochannel::~cPluginMonochannel()
{
  // Clean up after yourself!
  delete statusMonitor;
}

const char *cPluginMonochannel::CommandLineHelp(void)
{
  // Return a string that describes all known command line options.
  return NULL;
}

bool cPluginMonochannel::ProcessArgs(int argc, char *argv[])
{
  // Implement command line argument processing here if applicable.
  return true;
}

bool cPluginMonochannel::Start(void)
{
  // Start any background activities the plugin shall perform.
  statusMonitor = new cMyStatusMonitor;
  return true;
}

void cPluginMonochannel::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginMonochannel::MainMenuAction(void)
{
  // Perform the action when selected from the main VDR menu.
  return NULL;
}

cMenuSetupPage *cPluginMonochannel::SetupMenu(void)
{
  // Return a setup menu in case the plugin supports one.
  return NULL;
}

bool cPluginMonochannel::SetupParse(const char *Name, const char *Value)
{
  // Parse your own setup parameters and store their values.
  return false;
}

VDRPLUGINCREATOR(cPluginMonochannel); // Don't touch this!
